Download it now!
Bug 102356 - Page Style tab unusable when there's a very long string in dropdown list
Summary: Page Style tab unusable when there's a very long string in dropdown list
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://translations.documentfoundati...
Whiteboard:
Keywords:
Depends on:
Blocks: Page-Style-Dialog
  Show dependency treegraph
 
Reported: 2016-09-22 09:46 UTC by Arthit Suriyawongkul
Modified: 2018-12-13 10:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Because of a very long string in Paper Format dropdown list, Page Style is rendered unusable (53.50 KB, image/png)
2016-09-22 09:46 UTC, Arthit Suriyawongkul
Details
The problem is from the "Tabloid" string - the last string in this picture. (57.71 KB, image/png)
2016-09-22 09:48 UTC, Arthit Suriyawongkul
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arthit Suriyawongkul 2016-09-22 09:46:53 UTC
Created attachment 127541 [details]
Because of a very long string in Paper Format dropdown list, Page Style is rendered unusable

This bug is found in Thai UI language but in principle should applies for all, regardless of UI language.

== What happened ==

When switch UI language to Thai, a Page Style tab (in every application) is rendered in a way that unable to use. Lots of UI components like Page orientation setting is invisible. (See Attachment #1)

Reason is there's one very long string inside Paper Format dropdown list. So when rendered it makes the tab layout widen, to the point that other components got pushed away.

The string in English is "Tabloid" 
See: https://translations.documentfoundation.org/th/libo_ui/translate/cui/source/tabpages.po#unit=67963396

It turns out that this is actually a mistake, the current Thai string is an error message, not actually a translation. 


== What is expected ==

Page Style tab should be rendered in full.
Every UI components in the tab should be visible.


== Recommended solutions ==

2 possible ways:

1) Quick fix:
- Fix the related translations, make them shorter.
- Suggested translation is แท็บลอยด์

2) Long-term fix:
- Make the dropdown list layout and tab layout more resilience to unexpected long string.
- The UI component should decided to trim the string to be displayed to fits the width of the UI component.
Comment 1 Arthit Suriyawongkul 2016-09-22 09:48:56 UTC
Created attachment 127542 [details]
The problem is from the "Tabloid" string - the last string in this picture.
Comment 2 Arthit Suriyawongkul 2016-09-22 09:53:04 UTC
Screenshots taken from OS X 10.11
Comment 3 Arthit Suriyawongkul 2016-09-22 09:53:32 UTC
Comment on attachment 127541 [details]
Because of a very long string in Paper Format dropdown list, Page Style is rendered unusable

Screenshot taken in OS X 10.11
Comment 4 Arthit Suriyawongkul 2016-09-22 09:53:42 UTC
Comment on attachment 127542 [details]
The problem is from the "Tabloid" string - the last string in this picture.

Screenshot taken in OS X 10.11
Comment 5 Samphan Raruenrom 2016-09-22 10:39:05 UTC
I'll check with the translation team.
Comment 6 QA Administrators 2018-07-28 02:42:54 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug